MEMMOVE(3)

NAME
memmove - move possibly overlapping memory

SYNOPSIS

#include <string.h>

void *memmove(void *dst, const void *src, size_t length);

DESCRIPTION

This function moves length characters from the block of memory starting at *src to the memory starting at *dst. memmove reproduces the characters correctly at *dst even if the two areas overlap.

RETURNS

The function returns dst as passed.

PORTABILITY

memmove is ANSI C.

memmove requires no supporting OS subroutines.